<?php
/**
 * Orbit Theme Hooks
 *
 * @package Orbit
 * @since Orbit 1.1.0
 */


/**
 * Just after opening <body> tag
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_main_container() {
	do_action( 'bit_main_container' );
}

/**
 * Just after closing </div> <!-- end main-container -->
 *
 * Hook in footer.php
 * @since Orbit 1.0.0
 */
function bit_main_container_end() {
	do_action( 'bit_main_container_end' );
}

/**
 * Just after opening <div id="main-container">
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_header() {
	do_action( 'bit_header' );
}

/**
 * Just after opening <header id="top-header">
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_in_header() {
	do_action( 'bit_in_header' );
}

/**
 * Just after closing </header><!-- end of top-header -->
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_header_end() {
	do_action( 'bit_header_end' );
}

/**
 * Just before opening <div id="content_container">
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_content_container() {
	do_action( 'bit_content_container' );
}

/**
 * Just after opening <div id="content_container">
 *
 * Hook in header.php
 * @since Orbit 1.0.0
 */
function bit_in_content_container() {
	do_action( 'bit_in_content_container' );
}

/**
 * Just after closing </div><!-- end content-container -->
 *
 * Hook in footer.php 
 * @since Orbit 1.0.0
 */
function bit_content_container_end() {
	do_action( 'bit_content_container_end' );
}

/**
 * Just after opening <div class="footer-credit>
 *
 * Hook in footer.php
 * @since Orbit 1.0.0
 */
function bit_footer_credit() {
	do_action( 'bit_footer_credit' );
}

/**
 * Just after opening <div id="front-slide">
 *
 * Hook in front-page.php
 *
 * @since Orbit 1.1.0
 */
function bit_slider() {
	do_action( 'bit_slider' );
}

/**
 * Just before closing	</div> <!-- end front-slide -->
 *
 * Hook in front-page.php
 *
 * @since Orbit 1.1.0
 */
function bit_slider_end() {
	do_action( 'bit_slider_end' );
}

/**
 * Just after closing </article><!-- end excerpt article -->
 *
 * Hook in content-excerpt.php
 *
 * @since Orbit 1.1.0
 */
function bit_excerpt_end() {
	do_action( 'bit_excerpt_end' );
}

/**
 * Just after closing </article><!-- end post article -->
 *
 * Hook in content-content.php
 *
 * @since Orbit 1.1.0
 */
function bit_post_end() {
	do_action( 'bit_post_end' );
}

/**
 * Just after opening <aside>
 *
 * Hook in sidebar.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_main() {
	do_action( 'bit_sidebar_main' );
}

/**
 * Just before closing </aside> <!-- End aside main sidebar -->
 *
 * Hook in sidebar.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_main_end() {
	do_action( 'bit_sidebar_main_end' );
}

/**
 * Just bedore after <aside>
 *
 * Hook in sidebar-two.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_two() {
	do_action( 'bit_sidebar_two' );
}

/**
 * Just before closing </aside> <!-- End aside sidebar two -->
 *
 * Hook in sidebar-two.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_two_end() {
	do_action( 'bit_sidebar_two_end' );
}

/**
 * Just bedore after <aside>
 *
 * Hook in sidebar-front.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_front() {
	do_action( 'bit_sidebar_front' );
}

/**
 * Just before closing </aside> <!-- End aside sidebar front -->
 *
 * Hook in sidebar-front.php
 *
 * @since Orbit 1.1.0
 */
function bit_sidebar_front_end() {
	do_action( 'bit_sidebar_front_end' );
}

/**
 * Just after opening <div id="front-boxes">
 *
 * Hook in front-page.php
 *
 * @since Orbit 1.1.0
 */
function bit_front_boxes_start() {
	do_action( 'bit_front_boxes_start' );
}

/**
 * Just before closing </div> <!-- end front-boxes -->
 *
 * Hook in front-page.php
 *
 * @since Orbit 1.1.0
 */
function bit_front_boxes_end() {
	do_action( 'bit_front_boxes_end' );
}
?>